aboutsummaryrefslogtreecommitdiff
path: root/bin/vcs
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2023-04-04 14:04:55 -0300
committerEuAndreh <eu@euandre.org>2023-04-04 14:04:57 -0300
commit31bbe0c420098e557d934b7c6586b5a456f4e978 (patch)
tree547faa7c3e750208c4a3a48dcbb081f767d7aeef /bin/vcs
parentbin/vcs: Also consider to be under Git when both $GIT_{DIR,WORK_TREE} are set (diff)
downloaddotfiles-31bbe0c420098e557d934b7c6586b5a456f4e978.tar.gz
dotfiles-31bbe0c420098e557d934b7c6586b5a456f4e978.tar.xz
bin/vcs: Use {...} over (...)
As suggested by ShellCheck.
Diffstat (limited to 'bin/vcs')
-rwxr-xr-xbin/vcs2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/vcs b/bin/vcs
index a1731ed..95a597a 100755
--- a/bin/vcs
+++ b/bin/vcs
@@ -13,7 +13,7 @@ cvs
guess_type() {
- if [ -e "$1"/.git ] || ([ -n "${GIT_DIR:-}" ] && [ -n "$GIT_WORK_TREE" ]); then
+ if [ -e "$1"/.git ] || { [ -n "${GIT_DIR:-}" ] && [ -n "$GIT_WORK_TREE" ]; }; then
echo git
elif [ -e "$1"/.hg ]; then
echo mercurial